searchNodes=[{"type":"module","title":"ServerSentEventStage","doc":"A GenStage producer which parses the ServerSentEvent (SSE) protocol.SSEs are used in browsers via the EventSource API, but they can be used for any kind of one-directional streaming.For more information, see the W3C.","ref":"ServerSentEventStage.html"},{"type":"function","title":"ServerSentEventStage.refresh/1","doc":"Refresh the connection by disconnecting and reconnecting.Some clients will send a final message, but not terminate the connection=. This function allows a client of SSES to reconnect.","ref":"ServerSentEventStage.html#refresh/1"},{"type":"function","title":"ServerSentEventStage.start_link/1","doc":"Starts a producer stage which parse the ServerSentEvent protocol and send those messages as events.The only required argument is url: it can be either a binary of the URL to connect to or a {module, fun, arguments} tuple.Optional arguments:headers: a list of {&quot;name&quot;, &quot;value&quot;} pairsidle_timeout: milliseconds of inactivity after which the connection will be restarteddebug, name, timeout, spawn_opt: options for GenStage.start_link/3","ref":"ServerSentEventStage.html#start_link/1"},{"type":"module","title":"ServerSentEventStage.Event","doc":"A single ServerSentEvent (SSE) from a server.The SSE protocol is defined by the W3C.","ref":"ServerSentEventStage.Event.html"},{"type":"function","title":"ServerSentEventStage.Event.from_string/1","doc":"Parse a UTF-8 string into a struct.Expects a full SSE block.iex&gt; from_string(&quot;event: put\\rdata:123\\r\\ndata: 456\\n&quot;) %Event{event: &quot;put&quot;, data: &quot;123\\n456\\n&quot;} iex&gt; from_string(&quot;:comment\\ndata: short\\nignored: field&quot;) %Event{event: &quot;message&quot;, data: &quot; short\\n&quot;}","ref":"ServerSentEventStage.Event.html#from_string/1"},{"type":"type","title":"ServerSentEventStage.Event.t/0","doc":"","ref":"ServerSentEventStage.Event.html#t:t/0"},{"type":"extras","title":"ServerSentEventStage","doc":"ServerSentEventStageA GenStage producer which parses the ServerSentEvent protocol.","ref":"readme.html"},{"type":"extras","title":"ServerSentEventStage - Installation","doc":"def deps do [ {:server_sent_event_stage, &quot;~&gt; 1.0.0&quot;}, {:castore, &quot;~&gt; 0.1&quot;} ] end","ref":"readme.html#installation"},{"type":"extras","title":"ServerSentEventStage - Use","doc":"start_link/1 starts the server:iex&gt; {:ok, pid} = ServerSentEventStage.start_link(url: &quot;https://...&quot;) iex&gt; Enum.take(GenStage.stream([pid]), 2) [%ServerSentEventStage.Event{}, %ServerSentEventStage.Event{}]More likely, you'll want to add it as a part of a supervision tree:# in a Supervisor.init callback children = [ {ServerSentEventStage, url: &quot;https://...&quot;}, ... ]","ref":"readme.html#use"},{"type":"extras","title":"ServerSentEventStage - Documentation","doc":"Full documentation is available on HexDocs.","ref":"readme.html#documentation"},{"type":"extras","title":"ServerSentEventStage - License","doc":"server_sent_event_stage is licensed under the MIT license.","ref":"readme.html#license"},{"type":"extras","title":"LICENSE","doc":"MIT License Copyright (c) 2018 Massachusetts Bay Transportation Authority Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.","ref":"license.html"}]